%global momorel 2

Name:           netcdf
Summary:        Libraries to use the Unidata network Common Data Form (netCDF)
Version:        4.1.1
Release:        %{momorel}m%{?dist}
License:        "see COPYRIGHT"
Group:          Development/Libraries
URL:            http://www.unidata.ucar.edu/packages/netcdf/
Source0:        ftp://ftp.unidata.ucar.edu/pub/netcdf/%{name}-%{version}.tar.gz
NoSource:       0
Source1:        http://www.gfd-dennou.org/arch/netcdf/netcdf-jman/guidec_ja.tar.gz
NoSource:       1
Source2:        http://www.gfd-dennou.org/arch/netcdf/netcdf-jman/guidef_ja.tar.gz
NoSource:       2
#Use pkgconfig in nc-config to avoid multi-lib issues
Patch0:         netcdf-4.1-beta2-pkgconfig.patch
Patch1:         netcdf-4.1.1-fflags.patch
#Explicitly link libnetcdf.so agains -lhdf5_hl -lhdf5, reported upstream
Patch2:         netcdf-4.1.1-hdf5.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-gfortran >= 4.0
Requires(post): info

%description
NetCDF (network Common Data Form) is an interface for array-oriented
data access and a library that provides an implementation of the
interface. The netCDF library also defines a machine-independent
format for representing scientific data. Together, the interface,
library, and format support the creation, access, and sharing of
scientific data.

%package devel
Summary:        Development files for netcdf
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the netCDF header files, shared devel libs,
and man pages.

%package static
Summary:        Static libs for netcdf
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description static
This package contains the netCDF static libs.

%prep
%setup -q
%patch0 -p1 -b .pkgconfig
%patch1 -p1 -b .fflags
%patch2 -p1 -b .hdf5

tar xzf %{SOURCE1}
mv Output netcdf-jman-guidec
tar xzf %{SOURCE2}
mv Output netcdf-jman-guidef

%build
export FC="gfortran"
export F90="gfortran"
export CPPFLAGS="-fPIC"
%ifarch %{ix86}
case "`gcc -dumpversion`" in
4.4.*)
    export FFLAGS=`echo "-fPIC %{optflags}" | sed s/-march=i686/-march=i586/`
;;
*)
    export FFLAGS="-fPIC %{optflags}"
;;
esac
%else
export FFLAGS="-fPIC %{optflags}"
%endif
export F90FLAGS="$FFLAGS"
export FCFLAGS="$FFLAGS"
%configure \
           --enable-shared \
           --enable-netcdf-4 \
           --enable-dap \
           --enable-ncgen4 \
           --enable-extra-example-tests \
%ifnarch s390 s390x
           --enable-valgrind-tests \
%endif
           --disable-dap-remote-tests
#Need to be able to properly list all hdf4 library deps and location
#           --enable-hdf4 \

make #%{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p %{buildroot}%{_libdir}/gfortran/modules
mv %{buildroot}%{_includedir}/*.mod %{buildroot}%{_libdir}/gfortran/modules

find %{buildroot} -name '*.la' -exec rm -f {} \;
rm -f %{buildroot}%{_infodir}/dir

%check
# continu if tests fail...
make check ||:

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/netcdf.info %{_infodir}/dir || :

%preun
/sbin/ldconfig
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/netcdf.info %{_infodir}/dir || :
fi

%files
%defattr(-,root,root)
%doc COPYRIGHT INSTALL README RELEASE_NOTES
%doc netcdf-jman-guidec netcdf-jman-guidef
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/doc/netcdf
%{_mandir}/man1/*
%{_infodir}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/gfortran/modules/*
%{_libdir}/*.so
%{_mandir}/man3/*
%{_libdir}/pkgconfig/netcdf.pc

%files static
%defattr(-,root,root,-)
%{_libdir}/*.a

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4.1.1-2m)
- full rebuild for mo7 release

* Sat Jul 31 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.1-1m)
- update to 4.1.1

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0.1-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Jul  9 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.0.1-2m)
- add Requires(post): info (realy)

* Sun Jul  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.0.1-2m)
- add Requires(post): info

* Fri Jun 26 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0.1-1m)
- update to 4.0.1

* Sat Feb 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0-2m)
- build without -march=i686 when gcc44 and %%{ix86}

* Fri Feb  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0-1m)
- update to 4.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.6.2-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.6.2-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.6.2-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.6.2-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Thu May 31 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.6.2-1m)
- update to 3.6.2

* Wed May 17 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.6.1-2m)
- revised flags (remove -fPIC) to fix build error

* Wed May 17 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.6.1-1m)
- import to Momonga for octave-forge

* Thu Apr 06 2006 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (3.6.1-0.0.1m)
- 3.6.1

* Tue Aug 09 2005 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (3.6.1-0.0.0.beta3.1m)
- update to 3.6.1-beta3

* Mon Dec 22 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (3.5.1-0.0.0.13.1m)
- update to 3.5.1-beta13

* Sat Jan 18 2003 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (3.5.0-0.0.1m)
- build for Momonga Linux

* Sat Jun 29 2002 Masayuki SANO <sbfield_snmsyk@yahoo.co.jp>
- (3.5.0-0.1kl)
- rebuild for Kondara MNU/Linux 2.1
- include Japanese reference at http://win-k.gfd-dennou.org/netCDF/index.html
- no f90 interface is build

* Thu Jan 31 2002 Jhon H. Caicedo <jhcaiced@osso.org.co>
- rebuilt for version 3.5.0

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jun 8 2000 Tim Powers <timp@redhat.com>
- fixed man page location to be FHS compliant
- use %%makeinstall and %%configure

* Tue Mar 28 2000 Tim Powers <timp@redhat.com>
- got package for contrib on ftp.redhat.com
- started changelog
- quiet setup
- changed buildroot and group
- RPM handles gsipping man pages now, no longer needed in spec file
- cleaned up files list
- bzip source
